using System;
using UnityEngine;

namespace Mod
{
	class AntiAcidPoison : PoisonSpreadBehaviour
	{

		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
			Limb.gameObject.AddComponent<AntiAcidBehaviour>();
		}

		public AntiAcidPoison()
		{
		}
	}

	class AntiAcidSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(AntiAcidPoison);
		}
	}

	class AntiAcidBehaviour : MonoBehaviour
    {
		LimbBehaviour Limb;

		void Awake()
        {
			Limb = gameObject.GetComponent<LimbBehaviour>();
		}

		void Update()
        {
			Limb.SkinMaterialHandler.AcidProgress = 0f;
			Limb.StopAllCoroutines();
		}
	}
}
