using System;
using System.Collections;
using UnityEngine;

namespace Mod
{
	class AntiBleedingPoison : PoisonSpreadBehaviour
	{

		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
			Limb.gameObject.AddComponent<AntiBleedingBehaviour>();
		}

		public AntiBleedingPoison()
		{
		}
	}

	class AntiBleedingSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(AntiBleedingPoison);
		}
	}

	class AntiBleedingBehaviour : MonoBehaviour
    {
		LimbBehaviour Limb;

		void Awake()
        {
			Limb = gameObject.GetComponent<LimbBehaviour>();
			Limb.CirculationBehaviour.HealBleeding();
		}

		void Update()
        {
			Limb.CirculationBehaviour.HealBleeding();
        }
    }
}
