using System;
using UnityEngine;

namespace Mod
{
	class AntiBurnPoison : PoisonSpreadBehaviour
	{

		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
			Limb.gameObject.AddComponent<AntiBurnBehaviour>();
		}

		public AntiBurnPoison()
		{
		}
	}

	class AntiBurnSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(AntiBurnPoison);
		}
	}

	class AntiBurnBehaviour : MonoBehaviour
    {
		LimbBehaviour Limb;

		void Awake()
        {
			Limb = gameObject.GetComponent<LimbBehaviour>();
		}

		void Update()
        {
			if(Limb.PhysicalBehaviour.burnIntensity > 0.01f)
			{
		    	Limb.RegenerationSpeed += 0.0005f;
				Limb.gameObject.GetComponent<PhysicalBehaviour>().Temperature = 37f;
			}
			else
			{
				Limb.RegenerationSpeed = 0f;
			}
            Limb.PhysicalBehaviour.ChargeBurns = false;
			Limb.PhysicalBehaviour.ForceNoCharge = true;
			Limb.PhysicalBehaviour.ForceNoChargeParticles = true;
			Limb.PhysicalBehaviour.BurnProgress = 0f;
		}
	}
}
