using System;
using System.Collections;
using UnityEngine;

namespace Mod
{
	class BreakingPoison : PoisonSpreadBehaviour
	{
		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
			Limb.gameObject.AddComponent<BreakingBehaviour>();
		}

		public BreakingPoison()
		{
		}
	}

	class BreakingSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(BreakingPoison);
		}
	}

	class BreakingBehaviour : MonoBehaviour
	{
		LimbBehaviour Limb;

		void Awake()
		{
			Limb = gameObject.GetComponent<LimbBehaviour>();
		}

		void Update()
		{
			Limb.BreakingThreshold -= 99999999999999999999999999f;
			Limb.IsLethalToBreak = true;
			Limb.IsDismembered = true;
			Limb.BreakBone();
		}
	}
}
