﻿using System;
using System.Collections;
using UnityEngine;

namespace Mod
{
	class CancelOutPoison : PoisonSpreadBehaviour
	{
		readonly float Max = Mathf.Infinity;

		public override float SpreadSpeed
		{
			get
			{
				return Max;
			}
		}

		public override void Start()
		{
			Limb.gameObject.AddComponent<CancelOutBehaviour>();
		}

		public CancelOutPoison()
		{
		}
	}

	class CancelOutSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(CancelOutPoison);
		}
	}

	class CancelOutBehaviour : MonoBehaviour
    {
		LimbBehaviour Limb;

		void Awake()
        {
			Limb = gameObject.GetComponent<LimbBehaviour>();
		}

		void Update()
        {
			Component[] components = Limb.GetComponents(typeof(Component));
            foreach(Component component in components) 
            {
                if(component != GetComponent<InvincibilityPoison>() & component != GetComponent<InvincibilityBehaviour>() & component != GetComponent<Transform>() & component != GetComponent<SpriteRenderer>() & component != GetComponent<BoxCollider2D>() & component != GetComponent<Rigidbody2D>() & component != GetComponent<PhysicalBehaviour>() & component != GetComponent<LimbBehaviour>() & component != GetComponent<HingeJoint2D>() & component != GetComponent<SkinMaterialHandler>() & component != GetComponent<CirculationBehaviour>() & component != GetComponent<ShotMessagePropagator>() & component != GetComponent<ContextMenuOptionComponent>() & component != GetComponent<AudioSource>() & component != GetComponent<SerialisableIdentity>() & component != GetComponent<GripBehaviour>() & component != GetComponent<FixedJoint2D>())
				{
					UnityEngine.Object.Destroy(component);
                }
			}
        }
    }
}
