using System;
using System.Collections;
using UnityEngine;

namespace Mod
{
	class CrushPoison : PoisonSpreadBehaviour
	{
		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
			Limb.gameObject.AddComponent<CrushBehaviour>();
			Limb.IsLethalToBreak = true;
		}

		public CrushPoison()
		{
		}
	}

	class CrushSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(CrushPoison);
		}
	}

	class CrushBehaviour : MonoBehaviour
	{
		LimbBehaviour Limb;

		void Awake()
		{
			Limb = gameObject.GetComponent<LimbBehaviour>();
		}

		void Update()
		{
		    Limb.Crush();
		}
	}
}
