using System;
using System.Collections;
using UnityEngine;

namespace Mod
{
	class FreakOutPoison : PoisonSpreadBehaviour
	{
		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
			Limb.gameObject.AddComponent<FreakOutBehaviour>();
		}

		public FreakOutPoison()
		{
		}
	}

	class FreakOutSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(FreakOutPoison);
		}
	}

	class FreakOutBehaviour : MonoBehaviour
    {
		LimbBehaviour Limb;

		void Awake()
        {
			Limb = gameObject.GetComponent<LimbBehaviour>();
		}

		void Update()
        {
			Limb.Wince(Mathf.Infinity);
        }
    }
}