using System;
using UnityEngine;

namespace Mod
{
	class HighBuoyancyPoison : PoisonSpreadBehaviour
	{

		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
		   var pb = gameObject.GetComponent<PhysicalBehaviour>();
		   var properties = pb.Properties.ShallowClone();
		   pb.Properties = properties;
		   properties.Buoyancy += 0.25f;
		}	
        
        public HighBuoyancyPoison()
		{
		}
	}

    class HighBuoyancySyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(HighBuoyancyPoison);
		}
	}
}