using System;
using UnityEngine;

namespace Mod
{
	class LowFrictionPoison : PoisonSpreadBehaviour
	{

		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
			BoxCollider2D Mat = gameObject.GetComponent<BoxCollider2D>();

			var phys = Limb.gameObject.GetComponent<PhysicalBehaviour>();
			PhysicsMaterial2D material = new PhysicsMaterial2D();
            material.friction = 0.005f;

			Mat.sharedMaterial = material;
		}	
        
        public LowFrictionPoison()
		{
		}
	}

    class LowFrictionSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(LowFrictionPoison);
		}
	}
}