﻿using System;
using System.Collections;
using UnityEngine;

namespace Mod
{
	class PermaDeathPoison : PoisonSpreadBehaviour
	{
		readonly float Max = Mathf.Infinity;

		public override float SpreadSpeed
		{
			get
			{
				return Max;
			}
		}

		public override void Start()
		{
			Limb.gameObject.AddComponent<PermaDeathBehaviour>();
		}

		public PermaDeathPoison()
		{
		}
	}

	class PermaDeathSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(PermaDeathPoison);
		}
	}

	class PermaDeathBehaviour : MonoBehaviour
    {
		readonly float Max = Mathf.Infinity;
		
		LimbBehaviour Limb;

		void Awake()
        {
			Limb = gameObject.GetComponent<LimbBehaviour>();
		}

		void Update()
        {
			Limb.CirculationBehaviour.ImmuneToDamage = false;
			Limb.ImmuneToDamage = false;
			Limb.BreakingThreshold -= Max;
			Limb.IsDismembered = true;
			Limb.Frozen = true;
			Limb.Wince(Max);
			Limb.ShotDamageMultiplier = Math.Max(0f, Limb.ShotDamageMultiplier + Max);
			Limb.CirculationBehaviour.BloodFlow -= Max;
		    Limb.CirculationBehaviour.ForceSetAllLiquid(-Max);
			Limb.CirculationBehaviour.GunshotWoundCount = (ushort)Max;
			Limb.CirculationBehaviour.StabWoundCount = (ushort)Max;
			Limb.BaseStrength = -Max;
			Limb.BruiseCount = (ushort)Max;
			Limb.BreakBone();
            Limb.IsLethalToBreak = true;
			Limb.Vitality *= -Max;
            Limb.Health -= Max;
			Limb.InitialHealth -= Max;
            Limb.RegenerationSpeed -= Max;
            Limb.CirculationBehaviour.IsPump = false;
            Limb.Numbness -= Max;
			Limb.Person.Consciousness -= Max;
			Limb.Person.ShockLevel = Max;
			Limb.Person.PainLevel = Max;
			Limb.Person.OxygenLevel -= Max;
			Limb.Person.AdrenalineLevel -= Max;
        }
    }
}
