using System;
using System.Collections;
using UnityEngine;

namespace Mod
{
	class ShakePoison : PoisonSpreadBehaviour
	{
		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
			Limb.gameObject.AddComponent<ShakeBehaviour>();
		}

		public ShakePoison()
		{
		}
	}

	class ShakeSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(ShakePoison);
		}
	}

	class ShakeBehaviour : MonoBehaviour
    {
		LimbBehaviour Limb;

		void Awake()
        {
			Limb = gameObject.GetComponent<LimbBehaviour>();
		}

		void Update()
        {
			Limb.Wince(-2f);
        }
    }
}