using System;
using UnityEngine;

namespace Mod
{
	class SkinHardeningPoison : PoisonSpreadBehaviour
	{

		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
		   Limb.gameObject.AddComponent<SkinHardeningBehaviour>();
		   Limb.InitialHealth += 7.5f;
		   var phys = gameObject.GetComponent<PhysicalBehaviour>();
           phys.Properties = ModAPI.FindPhysicalProperties("Bulletproof");
		}	
        
        public SkinHardeningPoison()
		{
		}
	}

    class SkinHardeningSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(SkinHardeningPoison);
		}
	}

	class SkinHardeningBehaviour : MonoBehaviour
    {
		LimbBehaviour Limb;

		void Awake()
        {
			Limb = gameObject.GetComponent<LimbBehaviour>();
			Limb.Health += 7.5f;
		}
	}
}