using System;
using UnityEngine;

namespace Mod
{
	class TemperatureImmunityPoison : PoisonSpreadBehaviour
	{

		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
			Limb.gameObject.AddComponent<TemperatureImmunityBehaviour>();
		}

		public TemperatureImmunityPoison()
		{
		}
	}

	class TemperatureImmunitySyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(TemperatureImmunityPoison);
		}
	}

	class TemperatureImmunityBehaviour : MonoBehaviour
    {
		LimbBehaviour Limb;

		void Awake()
        {
			Limb = gameObject.GetComponent<LimbBehaviour>();
		}

		void Update()
        {
			Limb.BodyTemperature = 37f;
			Limb.gameObject.GetComponent<PhysicalBehaviour>().Temperature = 37f;
		}
	}
}
