using System;
using UnityEngine;

namespace Mod
{
	class TrueFreezePoison : PoisonSpreadBehaviour
	{

		public override float SpreadSpeed
		{
			get
			{
				return Mathf.Infinity;
			}
		}

		public override void Start()
		{
			Limb.gameObject.AddComponent<TrueFreezeBehaviour>();
		}

		public TrueFreezePoison()
		{
		}
	}

	class TrueFreezeSyringe : OldSyringeBehaviour
	{
		public override Type GetPoisonType()
		{
			return typeof(TrueFreezePoison);
		}
	}

	class TrueFreezeBehaviour : MonoBehaviour
    {
		LimbBehaviour Limb;

		void Awake()
        {
			Limb = gameObject.GetComponent<LimbBehaviour>();
		}

		void Update()
        {
			Limb.BodyTemperature = -100f;
			Limb.gameObject.GetComponent<PhysicalBehaviour>().Temperature = -100f;
		}
	}
}
